#include <iostream>
#include <cmath>
using namespace std;

int main() {
	long long int x1, y1, x2, y2, br_k;
	cin >> x1 >> y1 >> x2 >> y2;
	if (x1 == x2 && y1 == y2) br_k = 0;
	else if (x1 == x2 || y1 == y2) br_k = 2;
	else if (abs(x1 - x2) == abs(y1 - y2)) br_k = 1;
	else br_k = 0;
	cout << br_k;
	return 0;
}